Given that the kernel needs to carry the BTT error clearing workaround
for another cycle [1], bump the default expectations of this test to
4.13. It is worth noting that the nfit_test bus provider does not suffer
from the same sleeping while atomic issue in its emulation of the "clear
error DSM", so this kernel band-aid can be reverted when testing through
that path.

[1]: https://patchwork.kernel.org/patch/9706741/

Cc: Vishal Verma <[email protected]>
Signed-off-by: Dan Williams <[email protected]>
---
 test/btt-check.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/btt-check.sh b/test/btt-check.sh
index 2dde2461ec81..4c328fecbe88 100755
--- a/test/btt-check.sh
+++ b/test/btt-check.sh
@@ -43,7 +43,7 @@ check_min_kver()
        [[ "$ver" == "$(echo -e "$ver\n$KVER" | sort -V | head -1)" ]]
 }
 
-check_min_kver "4.12" || { echo "kernel $KVER may not support badblocks 
clearing on pmem via btt"; exit $rc; }
+check_min_kver "4.13" || { echo "kernel $KVER may not support badblocks 
clearing on pmem via btt"; exit $rc; }
 
 create()
 {

_______________________________________________
Linux-nvdimm mailing list
[email protected]
https://lists.01.org/mailman/listinfo/linux-nvdimm

Reply via email to